Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynStruct Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynStruct:

[legend]
Collaboration diagram for DynamicAny::DynStruct:

[legend]
List of all members.

## Public Types
typedef DynStruct_ptr | _ptr_type
typedef DynStruct_var | _var_type
## Public Methods
virtual char * | current_member_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::CORBA::TCKind | current_member_kind (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::NameValuePairSeq * | get_members (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_members (const DynamicAny::NameValuePairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::NameDynAnyPairSeq * | get_members_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_members_as_dyn_any (const DynamicAny::NameDynAnyPairSeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
DynStruct_ptr | _duplicate (DynStruct_ptr obj)
DynStruct_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynStruct_ptr | _nil (void)
## Protected Methods
| DynStruct (void)
virtual | ~DynStruct (void)
## Private Methods
| DynStruct (const DynStruct &)
void | operator= (const DynStruct &)

## Member Typedef Documentation

typedef DynStruct_ptr DynamicAny::DynStruct::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynStruct_var DynamicAny::DynStruct::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynStruct::DynStruct | ( | void |  | ) | `[protected]`

DynamicAny::DynStruct::~DynStruct | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynStruct::DynStruct | ( | const DynStruct & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynStruct_ptr DynamicAny::DynStruct::_duplicate | ( | DynStruct_ptr | obj | ) | `[static]`

const char * DynamicAny::DynStruct::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean DynamicAny::DynStruct::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynStruct_ptr DynamicAny::DynStruct::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynStruct_i.

DynStruct_ptr DynamicAny::DynStruct::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual ::CORBA::TCKind DynamicAny::DynStruct::current_member_kind | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

virtual char* DynamicAny::DynStruct::current_member_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

virtual ::DynamicAny::NameValuePairSeq* DynamicAny::DynStruct::get_members | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

virtual ::DynamicAny::NameDynAnyPairSeq* DynamicAny::DynStruct::get_members_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

CORBA::Boolean DynamicAny::DynStruct::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void DynamicAny::DynStruct::operator= | ( | const DynStruct & |  | ) | `[private]`

virtual void DynamicAny::DynStruct::set_members | ( | const DynamicAny::NameValuePairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

virtual void DynamicAny::DynStruct::set_members_as_dyn_any | ( | const DynamicAny::NameDynAnyPairSeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynStruct_i.

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp